<?php

namespace Backend\Models;

use Illuminate\Database\Eloquent\Model as Eloquent;

class GameJam extends Eloquent
{

    protected $fillable = [
        'name',
        'start_time',
        'end_time',
        'key_word',
        'description'
    ];


    public function registrations()
    {
        return $this->hasMany(Registration::class);
    }


}