<?php

namespace Backend\Models;

use Illuminate\Database\Eloquent\Model as Eloquent;

class Registration extends Eloquent
{
    protected $fillable = [
        'group_amount'
    ];


    public function group()
    {
        return $this->belongsTo(Group::class);
    }

    public function gameJam()
    {
        return $this->belongsTo(GameJam::class);
    }

    public function keyWords()
    {
        return $this->hasMany(KeyWord::class);
    }

    public function gameData()
    {
        return $this->belongsTo(GameData::class);
    }


}
