$(document).ready(function () {
  axios.defaults.baseURL = "http://localhost/Game-Jaming";

  $("#createGameJam").submit(function (e) {
    let URL = "/Backend/Controllers/GameJam/NewGameJam.php";

    let form = $("#createGameJam")[0];
    let formData = new FormData(form);

    let id = $("#indsend").attr("name");
    let value = $("#indsend").val();

    let startTime = $("#startTime").text();
    let endTime = $("#endTime").text();

    formData.append(id, value);
    formData.set("startTime", startTime);
    formData.append("endTime", endTime);

    axios
      .post(URL, formData, {
        header: "multipart/form-data",
      })
      .then((res) => {
        if (res.status === 200) {
          console.log("New Game Jam Created!");
        }
      })
      .catch((error) => {
        console.log(error.response);
      });

    e.preventDefault();
  });
});
